List Reviews
curl --request GET \
--url https://api.agentpowers.ai/v1/skills/{slug}/reviewsimport requests
url = "https://api.agentpowers.ai/v1/skills/{slug}/reviews"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.agentpowers.ai/v1/skills/{slug}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"skill_slug": "<string>",
"rating": 123,
"text": "<string>",
"author_display_name": "<string>",
"created_at": "<string>",
"author_slug": "<string>"
}
],
"total": 123,
"skill_slug": "<string>",
"average_rating": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}reviews
List Reviews
List reviews for a skill. Public, but test-user skills 404 to non-owners (prevents using this endpoint as an existence oracle for qa-sandbox-* slugs).
GET
/
v1
/
skills
/
{slug}
/
reviews
List Reviews
curl --request GET \
--url https://api.agentpowers.ai/v1/skills/{slug}/reviewsimport requests
url = "https://api.agentpowers.ai/v1/skills/{slug}/reviews"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.agentpowers.ai/v1/skills/{slug}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"skill_slug": "<string>",
"rating": 123,
"text": "<string>",
"author_display_name": "<string>",
"created_at": "<string>",
"author_slug": "<string>"
}
],
"total": 123,
"skill_slug": "<string>",
"average_rating": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Query Parameters
Required range:
1 <= x <= 50Required range:
x >= 0Pattern:
^(newest|oldest|highest|lowest)$Was this page helpful?